Bug 1095593 - Review Request: drupal7-block_class - Block Class allows users to add classes via block configuration interface
Review Request: drupal7-block_class - Block Class allows users to add classes...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-08 02:01 EDT by Sam Wilson
Modified: 2014-11-01 13:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: drupal7-block_class-2.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-22 04:50:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sam Wilson 2014-05-08 02:01:43 EDT
Spec URL: http://cycloptivity.fedorapeople.org/drupal7-block_class/2.1-1/drupal7-block_class.spec
SRPM URL: http://cycloptivity.fedorapeople.org/drupal7-block_class/2.1-1/drupal7-block_class-2.1-1.fc19.src.rpm
Description: Block Class allows users to add classes via block configuration interface
Fedora Account System Username: cycloptivity

Scratch build output http://koji.fedoraproject.org/koji/taskinfo?taskID=6825538
Comment 1 Parag AN(पराग) 2014-05-09 00:33:40 EDT
Review:

+ Package builds successful in F21 x86_64 mock

+ rpmlint on generated rpms gave
drupal7-block_class.noarch: W: spelling-error %description -l en_US tpl -> pl, tel, til
drupal7-block_class.noarch: W: spelling-error %description -l en_US php -> pp, hp, pep
drupal7-block_class.src: W: spelling-error %description -l en_US tpl -> pl, tel, til
drupal7-block_class.src: W: spelling-error %description -l en_US php -> pp, hp, pep
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball: 78b5c6b448087261045421546b9d919fa48556051b8f5202053e8c55754d6341
upstream tarball : 78b5c6b448087261045421546b9d919fa48556051b8f5202053e8c55754d6341

+ License is valid GPLv2+ and included in its own text file LICENSE.txt

+ Package follows drupal7 packaging guidelines

Suggestions:
1) Group tag is not necessary in Fedora now and can be removed from spec file. See https://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag

APPROVED this package review.
Comment 2 Parag AN(पराग) 2014-05-09 00:41:35 EDT
This review bug summary should match with the summary written in spec file.
Comment 3 Shawn Iwinski 2014-05-20 14:38:45 EDT
(In reply to Parag AN(पराग) from comment #1)
> Suggestions:
> 1) Group tag is not necessary in Fedora now and can be removed from spec
> file. See https://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag

Drupal 7 packaging guidelines template (https://fedoraproject.org/wiki/Packaging:Drupal7#Module) has the Group tag.  Per overall packaging guidelines (https://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag) it can stay to be compatible with EPEL and all Drupal pkgs are packaged for EPEL.



Additional item (since this pkg is already approved, please update after initial import):

2) "Requires: php(language) >= 5.0" not required and should not be present.  You do need to run phpcompatinfo on the module though -- see https://fedoraproject.org/wiki/Packaging:Drupal7#PHP_Extensions
Comment 4 Parag AN(पराग) 2014-05-21 10:24:16 EDT
thanks Shawn for your suggestion. If this is going to be packaged for EPEL then group tag, buildroot can stay.
Comment 5 Sam Wilson 2014-06-26 21:17:16 EDT
New Package SCM Request
=======================
Package Name: drupal7-block_class
Short Description: Block Class allows users to add classes via block configuration interface
Upstream URL: http://drupal.org/project/block_class
Owners: cycloptivity anross asrob siwinski 
Branches: f19 f20 el6 epel7
InitialCC:
Comment 6 Jon Ciesla 2014-06-27 10:54:07 EDT
anross is not in the packager group.
Comment 7 Sam Wilson 2014-07-24 22:53:03 EDT
New Package SCM Request
=======================
Package Name: drupal7-block_class
Short Description: Block Class allows users to add classes via block configuration interface
Upstream URL: http://drupal.org/project/block_class
Owners: cycloptivity asrob siwinski 
Branches: f19 f20 el6 epel7
InitialCC:
Comment 8 Jon Ciesla 2014-07-25 07:57:35 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2014-10-13 07:52:12 EDT
drupal7-block_class-2.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/drupal7-block_class-2.1-1.fc20
Comment 10 Fedora Update System 2014-10-13 07:58:25 EDT
drupal7-block_class-2.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/drupal7-block_class-2.1-1.el7
Comment 11 Fedora Update System 2014-10-13 07:59:16 EDT
drupal7-block_class-2.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal7-block_class-2.1-1.fc19
Comment 12 Fedora Update System 2014-10-13 08:16:50 EDT
drupal7-block_class-2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-block_class-2.1-1.el6
Comment 13 Parag Nemade 2014-10-13 08:40:42 EDT
I got the permission from this package submitter to build his packages. I see this package missed f21 branch please create it.

Package Change Request
=======================
Package Name: drupal7-block_class
New Branches: f21
Owners: cycloptivity asrob siwinski
Comment 14 Fedora Update System 2014-10-13 17:39:10 EDT
drupal7-block_class-2.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 15 Kevin Fenzi 2014-10-13 19:13:16 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2014-10-14 01:25:51 EDT
drupal7-block_class-2.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/drupal7-block_class-2.1-1.fc21
Comment 17 Fedora Update System 2014-10-22 04:50:26 EDT
drupal7-block_class-2.1-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 18 Fedora Update System 2014-10-22 04:52:53 EDT
drupal7-block_class-2.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 19 Fedora Update System 2014-10-28 06:58:21 EDT
drupal7-block_class-2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 20 Fedora Update System 2014-10-28 07:05:20 EDT
drupal7-block_class-2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.
Comment 21 Fedora Update System 2014-11-01 13:04:44 EDT
drupal7-block_class-2.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.